<?xml version="1.0" encoding="UTF-8"?>
<Project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" noNamespaceSchemaLocation="project_proj.xsd">

  <SchemaVersion>1.1</SchemaVersion>

  <Header>### uVision Project, (C) Keil Software</Header>

  <Targets>
  <Target> 
      <TargetName>STM32L4R5ZI_NUCLEO</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <TargetOption>
        <TargetCommonOption>
          <Device>STM32L4R5ZITx</Device>
          <Vendor>STMicroelectronics</Vendor>
          <Cpu>IRAM(0x20000000-0x2009FFFF) IROM(0x8000000-0x81FFFFF) CLOCK(8000000) FPU2 CPUTYPE("Cortex-M4")</Cpu>
          <FlashUtilSpec />
          <StartupFile />
          <FlashDriverDll />
          <DeviceId />
          <RegisterFile />
          <MemoryEnv />
          <Cmp />
          <Asm />
          <Linker />
          <OHString />
          <InfinionOptionDll />
          <SLE66CMisc />
          <SLE66AMisc />
          <SLE66LinkerMisc />
          <SFDFile />
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath />
          <IncludePath />
          <LibPath />
          <RegisterFilePath />
          <DBRegisterFilePath />
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>STM32L4R5ZI_NUCLEO\Exe\</OutputDirectory>
          <OutputName>Project</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>0</CreateHexFile>
          <DebugInformation>1</DebugInformation>
          <BrowseInformation>1</BrowseInformation>
          <ListingPath>STM32L4R5ZI_NUCLEO\List</ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name />
            <UserProg2Name />
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name />
            <UserProg2Name />
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopB1X>0</nStopB1X>
            <nStopB2X>0</nStopB2X>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name />
            <UserProg2Name />
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </AfterMake>
          <SelectedForBatchBuild>0</SelectedForBatchBuild>
          <SVCSIdString />
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument />
          <IncludeLibraryModules />
          <ComprImg />
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments>-REMAP -MPU</SimDllArguments>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM4</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments>-MPU</TargetDllArguments>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM4</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
          <Simulator>
            <UseSimulator>0</UseSimulator>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>1</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <LimitSpeedToRealTime>0</LimitSpeedToRealTime>
            <RestoreSysVw>1</RestoreSysVw>
          </Simulator>
          <Target>
            <UseTarget>1</UseTarget>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>0</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <RestoreTracepoints>1</RestoreTracepoints> 
            <RestoreSysVw>1</RestoreSysVw>
          </Target>
          <RunDebugAfterBuild>0</RunDebugAfterBuild>
          <TargetSelection>13</TargetSelection>
          <SimDlls>
            <CpuDll />
            <CpuDllArguments />
            <PeripheralDll />
            <PeripheralDllArguments />
            <InitializationFile />
          </SimDlls>
          <TargetDlls>
            <CpuDll />
            <CpuDllArguments />
            <PeripheralDll />
            <PeripheralDllArguments />
            <InitializationFile />
            <Driver>STLink\ST-LINKIII-KEIL_SWO.dll</Driver>
          </TargetDlls>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>1</Capability>
            <DriverSelection>4107</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>STLink\ST-LINKIII-KEIL_SWO.dll</Flash2>
          <Flash3 />
          <Flash4 />
          <pFcarmOut />
          <pFcarmGrp />
          <pFcArmRoot />
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>1</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M4"</AdsCpuType>
            <RvctDeviceName />
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>2</RvdsVP>
            <hadIRAM2>0</hadIRAM2>
            <hadIROM2>0</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <RoSelD>3</RoSelD>
            <RwSelD>3</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>1</Im1Chk>
            <Im2Chk>0</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress />
                <Size />
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress />
                <Size />
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress />
                <Size />
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress />
                <Size />
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector />
          </ArmAdsMisc>
          <Cads>
            <interw>1</interw>
            <Optim>4</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>2</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>0</uC99>
            <useXO>0</useXO>
            <VariousControls>
              <MiscControls>--C99</MiscControls>
              <Define>STM32L4R5xx,USE_HAL_DRIVER,USE_STM32L4XX_NUCLEO_144</Define>
              <Undefine />
              <IncludePath>../Inc;../../../../../../Drivers/CMSIS/Include;../../../../../../Drivers/CMSIS/Device/ST/STM32L4xx/Include;../../../../../../Drivers/STM32L4xx_HAL_Driver/Inc;../../../../../../Drivers/BSP/STM32L4xx_Nucleo_144</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>1</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <VariousControls>
              <MiscControls />
              <Define />
              <Undefine />
              <IncludePath />
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>1</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x08000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase />
            <ScatterFile />
            <IncludeLibs />
            <IncludeLibsPath />
            <Misc />
            <LinkerInputFile />
            <DisabledWarnings />
          </LDads>
        </TargetArmAds>
      </TargetOption>     
      <Groups>
        <Group>
          <GroupName>Example/User</GroupName>
          
          <Files>
          
          <File>
              <FileName>main.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/main.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_msp.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/stm32l4xx_hal_msp.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_it.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/stm32l4xx_it.c</FilePath>
              
            </File></Files>
        </Group>
		<Group>
          <GroupName>::CMSIS</GroupName>
        </Group>
 <Group>
          <GroupName>Example/MDK-ARM</GroupName>
          
          <Files>
          
          <File>
              <FileName>startup_stm32l4r5xx.s</FileName>
              <FileType>2</FileType>
              <FilePath>startup_stm32l4r5xx.s</FilePath>
              
            </File></Files>
        </Group><Group>
          <GroupName>Drivers/CMSIS</GroupName>
          
          <Files>
          
          <File>
              <FileName>system_stm32l4xx.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/system_stm32l4xx.c</FilePath>
              
            </File></Files>
        </Group><Group>
          <GroupName>Drivers/STM32L4xx_HAL_Driver</GroupName>
          
          <Files>
          
          <File>
              <FileName>stm32l4xx_hal_pwr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_pwr.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_rcc_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_rcc_ex.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_rcc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_rcc.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_gpio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_gpio.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_cortex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_cortex.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_dma.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_dma.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_pwr_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_pwr_ex.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal_spi.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal_spi.c</FilePath>
              
            </File><File>
              <FileName>stm32l4xx_hal.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32L4xx_HAL_Driver/Src/stm32l4xx_hal.c</FilePath>
              
            </File></Files>
        </Group><Group>
          <GroupName>Doc</GroupName>
          
          <Files>
          
          <File>
              <FileName>readme.txt</FileName>
              <FileType>5</FileType>
              <FilePath>../readme.txt</FilePath>
              
            </File></Files>
        </Group><Group>
          <GroupName>Drivers/BSP/STM32L4xx_Nucleo_144</GroupName>
          
          <Files>
          
          <File>
              <FileName>stm32l4xx_nucleo_144.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/BSP/STM32L4xx_Nucleo_144/stm32l4xx_nucleo_144.c</FilePath>
              
            </File></Files>
        </Group></Groups>
    	
    </Target>
  </Targets>
  <RTE>
    <apis />
    <components>
      <component Cclass="CMSIS" Cgroup="CORE" Cvendor="ARM" Cversion="4.3.0" condition="CMSIS Core">
        <package name="CMSIS" schemaVersion="1.3" url="http://www.keil.com/pack/" vendor="ARM" version="4.5.0" />
        <targetInfos>
          <targetInfo name="STM32L4R5ZI_NUCLEO" />
        </targetInfos>
      </component>
    </components>
    <files />
  </RTE>
</Project>
